%define fname	fdb

Name:		python-fdb
Summary:	Firebird RDBMS bindings for Python
Version:	1.7
Release:	%mkrel 1
Source0:	https://files.pythonhosted.org/packages/source/f/%{fname}/%{fname}-%{version}.tar.gz
URL:		www.firebirdsql.org/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	firebird-devel
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)

%description
Set of Firebird RDBMS bindings for Python 2. 

%package -n python3-fdb
Summary:	Firebird RDBMS bindings for Python 3
Group:		Development/Python

%description -n python3-fdb
Set of Firebird RDBMS bindings for Python 3.

%package doc
Summary:	Documentation for fdb
Group:		Development/Python
BuildArch: noarch

%description doc
This package contains documentation for fdb,
set of Firebird RDBMS bindings for Python.

%prep
%autosetup -p1 -n %{fname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc README
%{python2_sitelib}/*egg-info
%{python2_sitelib}/%{fname}

%files -n python3-fdb
%doc README
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}

%files doc
%doc docs/* README



%changelog
* Tue Feb 21 2017 philippem <philippem> 1.7-1.mga6
+ Revision: 1087215
- update to 1.7

* Wed Mar 30 2016 philippem <philippem> 1.6-1.mga6
+ Revision: 996869
- update to 1.6

* Fri Feb 26 2016 philippem <philippem> 1.5.1-1.mga6
+ Revision: 979457
- update to 1.5.1

* Sun Jan 17 2016 philippem <philippem> 1.5-1.mga6
+ Revision: 924987
- fix Python3 build
- update to 1.5

* Thu Nov 12 2015 philippem <philippem> 1.4.11-1.mga6
+ Revision: 902938
- update to 1.4.11

* Sat Oct 10 2015 tv <tv> 1.4.10-2.mga6
+ Revision: 888768
- rebuild for python 3.5 + fixed summary

* Sun Sep 06 2015 philippem <philippem> 1.4.10-1.mga6
+ Revision: 873368
- update to 1.4.10, use new python macros

* Sun Aug 30 2015 philippem <philippem> 1.4.9-1.mga6
+ Revision: 871225
- update to 1.4.9

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 748309
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.1-3.mga5
+ Revision: 726916
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 688028
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 philippem <philippem> 1.4.1-1.mga5
+ Revision: 671465
- update to 1.4.1

* Sat May 31 2014 pterjan <pterjan> 1.4-5.mga5
+ Revision: 628637
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.4-4.mga4
+ Revision: 544849
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 1.4-3.mga4
+ Revision: 500411
- remove dot in summary
- remove no need fdupes
- be ready for byte compiling

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jul 08 2013 philippem <philippem> 1.4-1.mga4
+ Revision: 451415
- Update to 1.4

* Sun Jan 13 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 378826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 philippem <philippem> 0.9.9-1.mga3
+ Revision: 324115
- update to 0.9.9

* Fri Oct 12 2012 philippem <philippem> 0.9.1-2.mga3
+ Revision: 305063
- Fix upstream bug PYFB-22

* Tue Oct 09 2012 philippem <philippem> 0.9.1-1.mga3
+ Revision: 303986
- Upgrade to 0.9.1

* Sat Sep 29 2012 fwang <fwang> 0.8.5-3.mga3
+ Revision: 300373
- rebuild for py3.3

* Sat Sep 29 2012 philippem <philippem> 0.8.5-2.mga3
+ Revision: 300275
- imported package python-fdb

